package com.chushang.oss;

import com.chushang.common.core.enums.AppStartType;
import com.chushang.common.feign.annotation.EnableOnnFeignClients;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * @auther: zhao
 * @date: 2024/4/29 10:50
 */
@EnableDiscoveryClient
@EnableOnnFeignClients
@SpringBootApplication
//@EnableTransferFeign
public class OssApplication {

    private final static Logger log = LoggerFactory.getLogger(OssApplication.class);
    private final static String APP_NAME = "文件管理平台";

    public static void main(String[] args) {
        log.info(AppStartType.START_FORMAT, AppStartType.main.type(), APP_NAME);
        SpringApplication.run(OssApplication.class, args);
        log.info(AppStartType.END_FORMAT, AppStartType.main.type(), APP_NAME);
    }
}
